Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236177 (perl-NetAddr-IP) - Review Request: perl-NetAddr-IP - Manages IPv4 and IPv6 addresses and subnets
Summary: Review Request: perl-NetAddr-IP - Manages IPv4 and IPv6 addresses and subnets
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-NetAddr-IP
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 247625 (view as bug list)
Depends On:
Blocks: 676263
TreeView+ depends on / blocked
 
Reported: 2007-04-12 11:34 UTC by Andreas Thienemann
Modified: 2011-02-09 09:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-10 15:43:49 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-04-12 11:34:21 UTC
Spec URL: http://helena.bawue.de/~ixs/perl-NetAddr-IP/perl-NetAddr-IP.spec
SRPM URL: http://helena.bawue.de/~ixs/perl-NetAddr-IP/perl-NetAddr-IP-4.004-1.src.rpm
Description:
This module provides an object-oriented abstraction on top of IP addresses
or IP subnets, that allows for easy manipulations. Version 4.xx of
NetAdder::IP will will work older versions of Perl and does not use
Math::BigInt as in previous versions.

Comment 1 Chris Weyl 2007-04-12 19:39:41 UTC
Missing br's on:

Test::More
Test::Pod
Pod::Coverage

There's an rfc included under docs/...  Why not add it to %doc?

Comment 2 Andreas Thienemann 2007-04-26 08:12:29 UTC
Kay, new package at http://helena.bawue.de/~ixs/perl-NetAddr-IP/

Comment 3 Chris Weyl 2007-04-26 15:41:41 UTC
Oddly enough, the module itself is (as near as I can determine) definitely
under the Artistic license, though it includes a copy of the GPL at
Lite/Util/GPL.  Weird. --along the same lines, Makefile.PL complains if
Test::Pod isn't installed, but no test actually uses it.

The non-versioned requires on perl(NetAddr::IP::Util) would normally need to
be filtered, but as this package also provides perl(NetAddr::IP::Util), it's
really not worth the effort :)

Missing BR on Test::More -- approval is contingent on this being added (which
can be done post-import).

+ source files match upstream:
4f0ef938abf0b1e43ca96fb0068381df  NetAddr-IP-4.004.tar.gz
4f0ef938abf0b1e43ca96fb0068381df  ../NetAddr-IP-4.004.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  (Artistic) License text not included upstream.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-NetAddr-IP-4.004-0.2.fc6.x86_64.rpm
 == rpmlint
 == provides
 Util.so()(64bit)  
 perl(NetAddr::IP) = 4.4
 perl(NetAddr::IP::Lite) = 1.5
 perl(NetAddr::IP::Util) = 1.3
 perl(NetAddr::IP::UtilPP) = 1.2
 perl(NetAddr::IP::Util_IS) = 1.00
 perl-NetAddr-IP = 4.004-0.2.fc6
 == requires
 libc.so.6()(64bit)  
 libc.so.6(GLIBC_2.2.5)(64bit)  
 libc.so.6(GLIBC_2.3.4)(64bit)  
 libnsl.so.1()(64bit)  
 perl(:MODULE_COMPAT_5.8.8)  
 perl(AutoLoader)  
 perl(Carp)  
 perl(DynaLoader)  
 perl(Exporter)  
 perl(NetAddr::IP::Lite) >= 1.02
O perl(NetAddr::IP::Util)  
O perl(NetAddr::IP::Util) >= 0.17
 perl(NetAddr::IP::Util_IS)  
 perl(strict)  
 perl(vars)  
 ** perl-NetAddr-IP-debuginfo-4.004-0.2.fc6.x86_64.rpm
 == rpmlint
 == provides
 Util.so.debug()(64bit)  
 perl-NetAddr-IP-debuginfo = 4.004-0.2.fc6
 == requires
+ %check is present and all tests pass
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 4 Chris Weyl 2007-05-11 15:34:02 UTC
ping?

Comment 5 Andreas Thienemann 2007-05-16 09:25:13 UTC
Sorry, must have missed this being approved.

New Package CVS Request
=======================
Package Name: perl-NetAddr-IP
Short Description: Manages IPv4 and IPv6 addresses and subnets
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com



Comment 6 Steven Pritchard 2007-07-10 15:08:54 UTC
*** Bug 247625 has been marked as a duplicate of this bug. ***

Comment 7 Jason Tibbitts 2007-07-10 15:29:31 UTC
Is there some reason why this hasn't been built yet?

Comment 8 Andreas Thienemann 2007-07-10 15:43:49 UTC
fixed


Comment 9 Andreas Thienemann 2007-07-10 16:10:42 UTC
Package Change Request
======================
Package Name: perl-NetAddr-IP
New Branches: F-7

Comment 10 Kevin Fenzi 2007-07-10 23:05:51 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.